Insert Records
Load new objects and update existing objects into your Data Cloud data lake
table.
- URI
- /api/v1/ingest/sources/{name}/{object-name}
- Available since release
- Data Cloud v1.0, Salesforce v51.0
- Formats
- JSON
- HTTP methods
- POST
- Authentication
- Authorization: Bearer access_token
- Request body
-
1curl --location --request POST 2'https://{instance_url}/api/v1/ingest/sources/ntotest/exercises_734a9fa2' \ 3--header 'Authorization: Bearer {access_token}' \ 4--header 'Content-Type: application/json' \ 5--data-raw '{ 6"data": [ 7{"maid":1,"first_name":"Rachel","last_name":"Rodriquez","email":"rachel@nto.com","gender":"Female","city":"New York City","state":"NY","created":"2020-04-27T02:48:33Z"} 8] 9} 10' - Request parameters
-
Parameter Description Content-Type application/json name Name of the Ingest API data connector. object-name Name of the resource type to send to Data Cloud. - Response body
-
1{ 2"accepted": true 3}None. Returns a status code of 202 (Accepted), which indicates that Request is accepted and gets processed asynchronously.